org.apache.mina.http.api

## Interface HttpResponse

All Superinterfaces:
  HttpMessage, HttpPdu

All Known Implementing Classes:
  DefaultHttpResponse

    public interface HttpResponse
    extends HttpMessage

An HTTP response to an HTTP request

Author:
  The Apache MINA Project (dev@mina.apache.org)

### Method Summary

Methods
`HttpStatus` `getStatus()` The HTTP status code for the HTTP response (e.g. 200 for OK, 404 for not found, etc..)

### Methods inherited from interface org.apache.mina.http.api.HttpMessage

`containsHeader, getContentType, getHeader, getHeaders, getProtocolVersion, isKeepAlive`

### Methods inherited from interface org.apache.mina.http.api.HttpPdu

`encode`

### Method Detail

#### getStatus

    HttpStatus getStatus()

The HTTP status code for the HTTP response (e.g. 200 for OK, 404 for not found, etc..)

Returns:
  the status of the HTTP response